@echo off
title Building LuggageLocator

set GOARCH=amd64
set GOOS=linux
set GIN_MODE=release
go build -ldflags="-s -w" -o LuggageLocator .

mkdir luggagelocator-all
rmdir /s /q .\luggagelocator-all
mkdir luggagelocator-all

xcopy /S .\html .\luggagelocator-all\html\
xcopy /S .\static .\luggagelocator-all\static\
xcopy /S .\templates .\luggagelocator-all\templates\
xcopy .\formatDB.sql .\luggagelocator-all\
xcopy .\LuggageLocator .\luggagelocator-all\
xcopy .\README.md .\luggagelocator-all\

del /s /q .\luggagelocator.tar.gz
tar -czvf luggagelocator.tar.gz luggagelocator-all