# LuggageTracker

## Envs
- PORT.................| 8080
- DB_USER..............| user
- DB_PASS..............| pass
- DB_HOST..............| 10.0.0.1
- DB_PORT..............| 3306
- DB_SCHEMA............| luggage
- DB_CA_CERT_PATH......| /etc/ssl/ca-cert.pem
- DB_CERT_PATH.........| /etc/ssl/client-cert.pem
- DB_KEY_PATH..........| /etc/ssl/private/client-key.pem
- DB_SKIP_VERIFY.......| true
- CORS_ALLOWED_ORIGINS.| http://localhost:8080,https://example.com

## Endpoints
### GET
- /
- /ping
- /api/u/:user
  - requires `token` query param
- /api/verify/:user
  - requires `Authorization` header to be set to `Basic (code)`
- /u/:user
- /u/:user/info
  - requires `token` query param
